log_info_cat Struct Reference
Osmocom logging framework

Information regarding one logging category. More...

`#include <logging.h>`

## Data Fields

const char * | name
const char * | color
const char * | description
uint8_t | loglevel
uint8_t | enabled

## Detailed Description

Information regarding one logging category.

## Field Documentation

const char* log_info_cat::color

color string for cateyory

Referenced by log_parse_category_mask().

const char* log_info_cat::description

description text

Referenced by log_vty_command_description().

uint8_t log_info_cat::enabled

is this category enabled or not

Referenced by log_target_create().

uint8_t log_info_cat::loglevel

currently selected log-level

Referenced by log_target_create().

const char* log_info_cat::name

name of category

Referenced by log_parse_category(), log_parse_category_mask(), log_vty_command_description(), and log_vty_command_string().

The documentation for this struct was generated from the following file:

- include/osmocom/core/logging.h